"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.keyBoardTypeHelperForIos = exports.isIOSDevice = void 0;

var _reactNative = require("react-native");

const isIOSDevice = () => {
  return _reactNative.Platform.OS === 'ios';
};

exports.isIOSDevice = isIOSDevice;

const keyBoardTypeHelperForIos = (keyboardType, securityText) => {
  const ios = isIOSDevice();
  const keyboardTypeFix = ['number-pad', 'numeric', 'phone-pad', 'decimal-pad'];
  return ios && keyboardTypeFix.includes(keyboardType ?? '') || ios && securityText;
};

exports.keyBoardTypeHelperForIos = keyBoardTypeHelperForIos;
//# sourceMappingURL=index.js.map