import React from 'react';
import { TextInputProps, StyleProp, ViewStyle, TextStyle } from 'react-native';
export declare type KeyboardAvoidingInputHandle = {
    focus: () => void;
    blur: () => void;
    clear: () => void;
};
export declare const KeyboardAvoidingInput: React.ForwardRefExoticComponent<TextInputProps & {
    input: React.ComponentType<TextInputProps>;
    showPasswordIcon?: React.ReactNode;
    hidePasswordIcon?: React.ReactNode;
    toggleShowText?: string | undefined;
    toggleHideText?: string | undefined;
    returnKeyIcon?: React.ReactNode;
    actionLabelStyle?: StyleProp<TextStyle>;
    actionContainerStyle?: StyleProp<TextStyle>;
    containerStyle?: StyleProp<ViewStyle>;
    inputStyle?: StyleProp<TextStyle>;
    toggleVisibilityPassword?: boolean | undefined;
    returnKeyTypeClear?: boolean | undefined;
    onOpen?: (() => void) | undefined;
    onClose?: (() => void) | undefined;
    androidOpenInputDelay?: number | undefined;
} & React.RefAttributes<unknown>>;
